Bug 243431 - [NEW PORT] net/findomain: Cross-platform subdomain enumerator
Summary: [NEW PORT] net/findomain: Cross-platform subdomain enumerator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL: https://github.com/Edu4rdSHL/findomain
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-18 15:56 UTC by Lewis Cook
Modified: 2020-03-02 12:21 UTC (History)
1 user (show)

See Also:


Attachments
findomain-0.9.6.diff (46.66 KB, patch)
2020-01-18 15:56 UTC, Lewis Cook
no flags Details | Diff
findomain-0.9.6.log (268.33 KB, text/plain)
2020-01-18 15:57 UTC, Lewis Cook
no flags Details
findomain-0.9.9.diff (47.65 KB, patch)
2020-01-19 16:59 UTC, Lewis Cook
no flags Details | Diff
findomain-0.9.9.log (282.09 KB, text/plain)
2020-01-19 17:00 UTC, Lewis Cook
no flags Details
findomain-1.1.0.diff (40.41 KB, patch)
2020-01-25 17:20 UTC, Lewis Cook
no flags Details | Diff
findomain-1.1.0.log (229.23 KB, text/plain)
2020-01-25 17:21 UTC, Lewis Cook
no flags Details
findomain-1.2.0.diff (40.41 KB, patch)
2020-01-29 17:30 UTC, Lewis Cook
no flags Details | Diff
findomain-1.2.0.log (223.62 KB, text/plain)
2020-01-29 17:30 UTC, Lewis Cook
no flags Details
findomain-1.4.0.diff (40.41 KB, patch)
2020-02-09 13:19 UTC, Lewis Cook
no flags Details | Diff
findomain-1.4.0.log (226.27 KB, text/plain)
2020-02-09 13:19 UTC, Lewis Cook
no flags Details
findomain-1.4.2.diff (40.41 KB, patch)
2020-03-01 20:39 UTC, Lewis Cook
no flags Details | Diff
findomain-1.4.2.log (227.40 KB, text/plain)
2020-03-01 20:39 UTC, Lewis Cook
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook 2020-01-18 15:56:25 UTC
Created attachment 210845 [details]
findomain-0.9.6.diff

All-in-one subdomain enumerator including
monitoring automation, multi-thread API
querying, DNS over TLS, parallel domain
resolution and a host of other unique
features.

WWW: https://github.com/Edu4rdSHL/findomain

QA:
   * Portline: Looks fine;
   * Poudriere: Package build, application works as expected.
  
Note(s):
   * Perl5 and gmake are necessary build dependencies for the
     'openssl-sys' rust crate.
   * I've tested the functionality of the port and unable to
     find any issue with it's features.
Comment 1 Lewis Cook 2020-01-18 15:57:06 UTC
Created attachment 210846 [details]
findomain-0.9.6.log

* Poudriere build log.
Comment 2 Lewis Cook 2020-01-19 16:59:50 UTC
Created attachment 210866 [details]
findomain-0.9.9.diff

* Update to 0.9.9.
Comment 3 Lewis Cook 2020-01-19 17:00:17 UTC
Created attachment 210867 [details]
findomain-0.9.9.log

* Poudriere build log.
Comment 4 Lewis Cook 2020-01-25 17:20:40 UTC
Created attachment 211031 [details]
findomain-1.1.0.diff

* Update to 1.1.0;
* Tested in Poudriere and works accordingly.
Comment 5 Lewis Cook 2020-01-25 17:21:21 UTC
Created attachment 211032 [details]
findomain-1.1.0.log

* Poudriere build log.
Comment 6 Lewis Cook 2020-01-29 17:30:28 UTC
Created attachment 211172 [details]
findomain-1.2.0.diff

* Update to 1.2.0.
Comment 7 Lewis Cook 2020-01-29 17:30:50 UTC
Created attachment 211173 [details]
findomain-1.2.0.log

* Poudriere build log.
Comment 8 Lewis Cook 2020-02-09 13:19:25 UTC
Created attachment 211507 [details]
findomain-1.4.0.diff
Comment 9 Lewis Cook 2020-02-09 13:19:49 UTC
Created attachment 211508 [details]
findomain-1.4.0.log

* Poudriere build log.
Comment 10 Dmitri Goutnik freebsd_committer 2020-03-01 13:50:42 UTC
1.4.2 is out [1], could you please update the diff?

[1] https://github.com/Edu4rdSHL/findomain/releases/tag/1.4.2
Comment 11 Lewis Cook 2020-03-01 20:39:29 UTC
Created attachment 212082 [details]
findomain-1.4.2.diff

* Update to 1.4.2 as requested.
Comment 12 Lewis Cook 2020-03-01 20:39:52 UTC
Created attachment 212083 [details]
findomain-1.4.2.log

* Poudriere build log.
Comment 13 Lewis Cook 2020-03-01 20:40:16 UTC
(In reply to Dmitri Goutnik from comment #10)
There we go. :)
Comment 14 commit-hook freebsd_committer 2020-03-02 12:20:08 UTC
A commit references this bug:

Author: dmgk
Date: Mon Mar  2 12:19:54 UTC 2020
New revision: 527626
URL: https://svnweb.freebsd.org/changeset/ports/527626

Log:
  New port: net/findomain

  All-in-one subdomain enumerator including
  monitoring automation, multi-thread API
  querying, DNS-over-TLS, parallel domain
  resolution and a host of other unique
  features.

  WWW: https://github.com/Edu4rdSHL/findomain

  PR:		243431
  Submitted by:	Lewis Cook <vulcan@wired.sh>

Changes:
  head/net/Makefile
  head/net/findomain/
  head/net/findomain/Makefile
  head/net/findomain/distinfo
  head/net/findomain/pkg-descr
Comment 15 Dmitri Goutnik freebsd_committer 2020-03-02 12:21:02 UTC
Committed with some changes, thanks!